### Method

# Tracker Batch execute

since: 3.1

#### Declaration [src]

    gboolean
    tracker_batch_execute (
      TrackerBatch* batch,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Executes the batch. This operations happens synchronously.

Available since: 3.1

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` of there were no errors, `FALSE` otherwise.